﻿using System;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.JavaScript;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
using WebApplication8.Models;

namespace WebApplication8.Controllers
{
    public class HomeController : Controller
    {
        public static List<DateTester> model = new List<DateTester>();
        public IActionResult Index()
        {
            model.Add(new DateTester()
            {
                DateTesterID = 1,
                EffectiveDate = DateTime.Now.AddDays(-5).Date,
                Value = 3.1415f
            });
            return View(model);
        }
        public ActionResult Update([FromBody]CRUDModel<DateTester> value)
        {
            var ord = value.Value;
            DateTester val = model.Where(or => or.DateTesterID == ord.DateTesterID).FirstOrDefault();
            val.DateTesterID = ord.DateTesterID;
            val.EffectiveDate = ord.EffectiveDate;
            val.Value = ord.Value;
            return Json(value.Value);
        }
        public ActionResult Insert([FromBody]CRUDModel<DateTester> value)
        {
            model.Insert(model.Count, value.Value);
            return Json(model);
        }
        public ActionResult Remove([FromBody]CRUDModel<DateTester> value)
        {
            model.Remove(model.Where(or => or.DateTesterID == int.Parse(value.Key.ToString())).FirstOrDefault());
            return Json(value);
        }
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
